Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.fdf
Class FDFTemplate

    java.lang.Object
      org.pdfbox.pdmodel.fdf.FDFTemplate

All Implemented Interfaces:
  COSObjectable

public class FDFTemplate
extends Object
implements COSObjectable

This represents an FDF template that is part of the FDF page.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield

Constructor Summary
`FDFTemplate()` Default constructor.
`FDFTemplate(COSDictionary t)` Constructor.

Method Summary
`COSDictionary` | `getCOSDictionary()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`List` | `getFields()` This will get a list of fields that are part of this template.
`FDFNamedPageReference` | `getTemplateReference()` This is the template reference.
`void` | `setFields(List fields)` This will set a list of fields for this template.
`void` | `setRename(boolean value)` This will set if the fields can be renamed.
`void` | `setTemplateReference(FDFNamedPageReference tRef)` This will set the template reference.
`boolean` | `shouldRename()` A flag telling if the fields imported from the template may be renamed if there are conflicts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FDFTemplate

    public FDFTemplate()

  Default constructor.

### FDFTemplate

    public FDFTemplate(COSDictionary t)

  Constructor.

Parameters:
  `t` - The FDF page template.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getTemplateReference

    public FDFNamedPageReference getTemplateReference()

  This is the template reference.

  Returns:
    The template reference.

### setTemplateReference

    public void setTemplateReference(FDFNamedPageReference tRef)

  This will set the template reference.

  Parameters:
    `tRef` - The template reference.

### getFields

    public List getFields()

  This will get a list of fields that are part of this template.

  Returns:
    A list of fields.

### setFields

    public void setFields(List fields)

  This will set a list of fields for this template.

  Parameters:
    `fields` - The list of fields to set for this template.

### shouldRename

    public boolean shouldRename()

  A flag telling if the fields imported from the template may be renamed if there are conflicts.

  Returns:
    A flag telling if the fields can be renamed.

### setRename

    public void setRename(boolean value)

  This will set if the fields can be renamed.

  Parameters:
    `value` - The flag value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD